Node('cfg/sea/camea-be-filter.cfg',
     'Camea Be-Filter',
)

Mod('sea_addons',
    'frappy_psi.sea.SeaClient',
    'addons sea connection for camea-be-filter.addon',
    config='camea-be-filter.addon',
    service='addons',
)

Mod('t_be_filter',
    'frappy_psi.sea.SeaReadable',
    'Be filter T',
    io='sea_addons',
    sea_object='t_be_filter',
    extra_modules=['a', 'b', 'c', 'd', 'det'],
)

Mod('t_be_fil_top_m',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='t_be_filter.a',
)

Mod('t_be_fil_top_r',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='t_be_filter.b',
)

Mod('t_be_fil_bot_l',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='t_be_filter.c',
)

Mod('t_be_fil_bot_r',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='t_be_filter.d',
)

Mod('t_detector',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='t_be_filter.det',
)

